#458 CMake and Version.cpp.in cause compile error

Latest Subversion
closed-invalid
nobody
None
5
2010-04-13
2010-02-03
No

Hey there,

I just checked out latest SVN and tried to compile on Karmic 9.10. I got compile errors for Version.cpp very similiar to this bug in supertux: http://supertux.lethargik.org/bugs/view.php?id=410

That bug was reported in 2008 and mentions cmake being the cause. However, I took the proposed updated FindSubversion.script, but there is no difference to mine. So my workaround so far was to modify Version.cpp.in to the following:

const std::string& FreeOrionVersionString()
{
static const std::string retval = "%(freeorion_version)s [Rev 3345]";
return retval;
}

I replaced the call to the FindSubversion.script by some hardcoded value and make finished without errors.

Discussion

  • Zach Laine

    Zach Laine - 2010-04-13

    The SuperTux bug reports that this is a CMake bug, and that it has been fixed in CMake, as of Jan 17.

     
  • Zach Laine

    Zach Laine - 2010-04-13
    • status: open --> closed-invalid
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks